com.sun.jna.platform.win32

## Class DBT.DEV_BROADCAST_DEVICEINTERFACE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DBT.DEV_BROADCAST_DEVICEINTERFACE

- Enclosing interface:
    DBT

      public static class DBT.DEV_BROADCAST_DEVICEINTERFACE
      extends Structure

  The Class DEV_BROADCAST_DEVICEINTERFACE.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Guid.GUID` | `dbcc_classguid` The dbcc_classguid.
    `int` | `dbcc_devicetype` The dbcc_devicetype.
    `char[]` | `dbcc_name` The dbcc_name.
    `int` | `dbcc_reserved` The dbcc_reserved.
    `int` | `dbcc_size` The dbcc_size.
    `static java.util.List<java.lang.String>` | `FIELDS`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DEV_BROADCAST_DEVICEINTERFACE()` Instantiates a new dev broadcast deviceinterface.
    `DEV_BROADCAST_DEVICEINTERFACE(long pointer)` Dev broadcast hdr.
    `DEV_BROADCAST_DEVICEINTERFACE(Pointer memory)` Instantiates a new dev broadcast deviceinterface.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDbcc_name()` Gets the dbcc_name.
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### dbcc_size

          public int dbcc_size

      The dbcc_size.

    - #### dbcc_devicetype

          public int dbcc_devicetype

      The dbcc_devicetype.

    - #### dbcc_reserved

          public int dbcc_reserved

      The dbcc_reserved.

    - #### dbcc_classguid

          public Guid.GUID dbcc_classguid

      The dbcc_classguid.

    - #### dbcc_name

          public char[] dbcc_name

      The dbcc_name.

  - ### Constructor Detail

    - #### DEV_BROADCAST_DEVICEINTERFACE

          public DEV_BROADCAST_DEVICEINTERFACE()

      Instantiates a new dev broadcast deviceinterface.

    - #### DEV_BROADCAST_DEVICEINTERFACE

          public DEV_BROADCAST_DEVICEINTERFACE(long pointer)

      Dev broadcast hdr.
      Parameters:
        `pointer` - the pointer

    - #### DEV_BROADCAST_DEVICEINTERFACE

          public DEV_BROADCAST_DEVICEINTERFACE(Pointer memory)

      Instantiates a new dev broadcast deviceinterface.
      Parameters:
        `memory` - the memory

  - ### Method Detail

    - #### getDbcc_name

          public java.lang.String getDbcc_name()

      Gets the dbcc_name.
      Returns:
        the dbcc_name

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.